Bug 115686 - SELinux gdm problem
Summary: SELinux gdm problem
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-14 22:01 UTC by Paul F. Johnson
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 20:00:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul F. Johnson 2004-02-14 22:01:16 UTC
Description of problem:
Both kernel versions 2.6.2-1.74 and 79 don't allow me to login

Version-Release number of selected component (if applicable):
2.6.2-1.74, 2.6.2-1.79

How reproducible:
Always

Steps to Reproduce:
1. Boot the machine
2. Attempt to login
3.
  
Actual results:
The following errors occur

/etc/X11/gdm/PreSession/Default: Registering your session with wtmp
and utmp
/etc/X11/gdm/PreSession/Default: running : /usr/bin/X11/sessreg -a -w
/var/log/wtmp -u /var/run/utmp -x "/var/gdm/:0.Xservers" -h "" -l ":0"
"paul"
SELinux gdm login: unable to obtain default security context for paul


Expected results:
I can login

Additional info:

Comment 1 G.Wolfe Woodbury 2004-02-17 02:49:44 UTC
Also applies to ssh logins

There seems to be a new piece of system-config-users that is not yet
fully ties into the process.


Comment 2 Daniel Walsh 2004-02-17 14:10:35 UTC
Do you want to run with SELinux?  If not remove policy and
policy-sources from your machine,  login should work again.  Otherwise
you could add selinux=0 to your kernel line in grub.

If yes, you need to relabel the file system, this will happen at
install time in test2.  But for now you need to

cd /etc/security/selinux/src/policy
make load
make relabel
reboot


Comment 3 Len Budney 2004-02-26 19:51:03 UTC
Doing "make relabel" hangs while setfiles is attempting to relabel
/SWAP. If you do "swapoff -a" first, it works fine.

Comment 4 Erich Hoover 2004-02-29 20:36:44 UTC
I get the following errors when attempting to follow the directions above:

/usr/sbin/setfiles file_contexts/file_contexts `mount | awk
'/(ext[23]| xfs).*rw/{print $3}'`
/usr/sbin/setfiles:  read 1205 specifications
/usr/sbin/setfiles:  invalid context system_u:object_r:aliases_etc_t
on line number 1038
/usr/sbin/setfiles:  invalid context system_u:object_r:aliases_etc_t
on line number 1039
/usr/sbin/setfiles:  invalid context system_u:object_r:ntp_etc_t on
line number 1099
make: *** [relabel] Error 1


Comment 5 Daniel Walsh 2004-03-02 14:55:37 UTC
New policy-1.6-16 fixes this problem


Note You need to log in before you can comment on or make changes to this bug.